package ink.wgink.pojo.bos.files;

import java.io.Serializable;

/**
 * @ClassName: FilesShowCode
 * @Description: 文件展示码
 * @Author: wanggeng
 * @Date: 2022/8/1 17:28
 * @Version: 1.0
 */
public class FilesShowCode implements Serializable {

    private static final long serialVersionUID = -9038597031617647650L;
    private String code;
    private String fileId;
    private String fileName;
    private Long latestUpdateTime;

    public FilesShowCode() {
    }

    public FilesShowCode(String code, String fileId, String fileName) {
        this.code = code;
        this.fileId = fileId;
        this.fileName = fileName;
        this.latestUpdateTime = System.currentTimeMillis();
    }

    public String getCode() {
        return code == null ? "" : code.trim();
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getFileId() {
        return fileId == null ? "" : fileId.trim();
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getFileName() {
        return fileName == null ? "" : fileName.trim();
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public Long getLatestUpdateTime() {
        return latestUpdateTime == null ? 0 : latestUpdateTime;
    }

    public void setLatestUpdateTime(Long latestUpdateTime) {
        this.latestUpdateTime = latestUpdateTime;
    }

}
